%define rev r3277

Summary:	Free implementation of Heroes of the Might and Magic II engine
Name:		fheroes2
Version:	20150413
Release:	2
License:	GPLv2+
Group:		Games/Strategy
Url:		http://sourceforge.net/projects/fheroes2/
Source0:	%{name}-src-%{rev}.tar.bz2
Source2:	fheroes2.sh
Source3:	fheroes2.png
Source4:	fheroes2.desktop
Source5:	fheroes2.cfg
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(zlib)

%description
Free implementation of Heroes of the Might and Magic II engine.
You need to copy files from data and maps directories from original game
into your /usr/share/games/fheroes2/{maps,data} directories respectively.

%files
%doc AUTHORS changelog.txt COPYING LICENSE README
%{_gamesbindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-src-%{rev}/fheroes2

%build
cd src
%setup_compile_flags
%make \
	WITH_AI=simple \
	CONFIGURE_FHEROES2_DATA="%{_gamesdatadir}/%{name}/"

%install
# let's create directory structure...
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/{data,maps}

# and install what we need where we need it to be...
install -pm755 src/dist/%{name} %{buildroot}%{_gamesbindir}/%{name}.bin
install -pm755 %{SOURCE2} %{buildroot}%{_gamesbindir}/%{name}
install -pm 644 %{name}.cfg %{buildroot}%{_gamesdatadir}/%{name}/
install -pm 644 %{name}.key %{buildroot}%{_gamesdatadir}/%{name}/
install -pm 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -pm 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -pm 644 %{SOURCE5} %{buildroot}%{_gamesdatadir}/%{name}/


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 20150413-2
- (71611a3) MassBuild#1250: Increase release tag


